<?xml version="1.0" encoding="UTF-8" ?>

<ClassComponent localName="NumberComparer" description="Компонент сравнитель чисел"
	fileName="NPCNumberComparer.jar" className="org.mati.npc.components.numbercomparer.NPCNumberComparer"
	version="8872" time="17.02.2009 01:05:07">
	
	<INLink name="InFirstNumber" description=""
		interfaceName="org.mati.npc.components.interfaces.NumberListener"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="InSecondNumber" description=""
		interfaceName="org.mati.npc.components.interfaces.NumberListener"
		linksNumber="0" nullable="true">
	</INLink>

	<INLink name="InSetFirstNumberFloat" description=""
		interfaceName="org.mati.npc.components.interfaces.FloatValue"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="InSetSecondNumberFloat" description=""
		interfaceName="org.mati.npc.components.interfaces.FloatValue"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="InExecuteFirstNumberFloat" description=""
		interfaceName="org.mati.npc.components.interfaces.FloatValue"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="InExecuteSecondNumberFloat" description=""
		interfaceName="org.mati.npc.components.interfaces.FloatValue"
		linksNumber="0" nullable="true">
	</INLink>

	<INLink name="InClear" description=""
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</INLink>

	<INLink name="InExecute" description=""
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</INLink>

	<OUTLink name="OutMore" description=""
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</OUTLink>

	<OUTLink name="OutLess" description=""
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</OUTLink>

	<OUTLink name="OutEqual" description=""
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</OUTLink>

	<OUTLink name="OutNA" description=""
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</OUTLink>

	<OUTLink name="OutMoreE" description=""
		interfaceName="org.mati.npc.components.interfaces.Effector"
		linksNumber="0" nullable="true">
	</OUTLink>

	<OUTLink name="OutLessE" description=""
		interfaceName="org.mati.npc.components.interfaces.Effector"
		linksNumber="0" nullable="true">
	</OUTLink>

	<OUTLink name="OutEqualE" description=""
		interfaceName="org.mati.npc.components.interfaces.Effector"
		linksNumber="0" nullable="true">
	</OUTLink>

	<OUTLink name="OutNAE" description=""
		interfaceName="org.mati.npc.components.interfaces.Effector"
		linksNumber="0" nullable="true">
	</OUTLink>

	<Attribute name="CountAfter"
		description="Актуально при использовании дробных значений. Количество знаков после запятой, учитываемое при сравнении. По умолчанию 2 знака."
		defaultValue="2"
		type="java.lang.Integer" nullable="false">
	</Attribute>

</ClassComponent>